class Inf::Env < Thor
  def method_missing(m, *args, &block)
    Inf.send(m, *args, &block)
  end

  def self.method_missing(m, *args, &block)
    Inf.send(m, *args, &block)
  end

  desc 'push [FILE]', 'sets the .env file for the app (default: ./.env; pass "-" for stdin)'
  def push(file='.env')
    file = File.expand_path(file)

    if file == '-'
      env = STDIN.read
    else
      env = File.read(file)
    end

    put_state("apps/#{app_name}/env", env)
  end

  desc 'pull', 'gets env vars'
  def pull
    puts get_state("apps/#{app_name}/env")
  end
end
